extends Node

@onready var player: CharacterBody3D = get_parent()

func _unhandled_input(event: InputEvent) -> void:
  for i in range(5):
    if event.is_action_pressed("ability_%s" % (i + 1)):
      EventBus.ability_use.emit(player, i)
      return
